<?php
/**
 * Block Patterns
 *
 * @package business_consulting_agency
 * @since 1.0
 */

function business_consulting_agency_register_block_patterns() {
	$business_consulting_agency_block_pattern_categories = array(
		'business-consulting-agency' => array( 'label' => esc_html__( 'Business Consulting Agency', 'business-consulting-agency' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'business-consulting-agency' ) ),
	);

	$business_consulting_agency_block_pattern_categories = apply_filters( 'business_consulting_agency_business_consulting_agency_block_pattern_categories', $business_consulting_agency_block_pattern_categories );

	foreach ( $business_consulting_agency_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'business_consulting_agency_register_block_patterns', 9 );